#ifndef _HAS_MISC_H_
#define _HAS_MISC_H_

#include <glib.h>
#include <string.h>
#include <gtk/gtk.h>
#include <vte/vte.h>

gchar *parse_package_size (glong size);
gboolean gpt_is_installed (const gchar *pkg_name);

#define GPT_ENTRY_HAS_TEXT(obj)	(strlen (gtk_entry_get_text (GTK_ENTRY (obj))) > 0)

void gpt_error (GtkWindow *w, const gchar *msg);
void gpt_info (GtkWindow *w, const gchar *msg);
void gpt_warning (GtkWindow *w, const gchar *msg);

gboolean vte_is_selected (VteTerminal *terminal,glong column,glong row,gpointer data);	/* always returns TRUE */

#endif /* _HAS_MISC_H_ */
